; Script for program NETWORK in file "C:\MYTASK\FAQ\USERDEFVARS\BASE\01NET00A.S"
;;<<Default Template>><<NETWORK>><<Default>>;;
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK MSG='Log VAR in a certain program'
FILEI LINKI[1] = "{CATALOG_DIR}\inputs\cubeNetwork.net"

PROCESS  PHASE=INPUT

_myCount=0  ; initialize counter

ENDPROCESS


PROCESS  PHASE=LINKMERGE 

_myCount=_myCount+1  ; accumulate counter

ENDPROCESS


PROCESS  PHASE=SUMMARY   

  myLinkCount=_myCount
  LOG PREFIX=NETWORK1, VAR=myLinkCount   ; log link counter

ENDPROCESS

ENDRUN


; PILOT Script
FILEO PRINTO[1] = "{CATALOG_DIR}\outputs\logPilot.dat"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.

pilotVar=NETWORK1.myLinkCount   ;retrieve logged link counter from NETWORK1

PRINT LIST='my log Var in Pilot  := ', pilotVar(10) PRINTO=1      ;print the logged link counter to external file
; End of PILOT Script

; Script for program MATRIX in file "C:\MYTASK\FAQ\USERDEFVARS\BASE\01MAT00A.S"
;;<<Default Template>><<MATRIX>><<Default>>;;
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX MSG='Retrieve and use logged VAR in a certain program'
FILEO PRINTO[1] = "{CATALOG_DIR}\logMartix.dat"

ARRAY myA=@NETWORK1.myLinkCount@    ;define array using link counter
ARRAY myB=@NETWORK1.myLinkCount@    ;define array using link counter

ZONES=1

LOOP _k=1, @NETWORK1.myLinkCount@   ;set loop counter using logged VAR
     myA[_k]=100+_k
     myB[_k]=200+_k
     PRINT LIST=myA[_k](10), myB[_k](10) PRINTO=1
ENDLOOP

ENDRUN


; Script for program MATRIX in file "C:\MYTASK\FAQ\USERDEFVARS\BASE\01MAT00B.S"
;;<<Default Template>><<MATRIX>><<Default>>;;
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX MSG='Read user defined parameters'
FILEO MATO[1] = "{CATALOG_DIR}\outputs\readFileOut.MAT",
 MO=3-4
FILEI MATI[1] = "{CATALOG_DIR}\inputs\myODMatrix.mat"

READ FILE = "{CATALOG_DIR}\INPUTS\MYPARA.TXT"

ZONES=3

MW[1]=MI.1.HOV       
MW[2]=MI.1.PC

MW[3]=MW[1]*myPara1  ;re-calculate HOV table using myPara1  
MW[4]=MW[2]*myPara2  ;re-calculate HOV table using myPara2 

ENDRUN


; Script for program NETWORK in file "C:\MYTASK\FAQ\USERDEFVARS\BASE\01NET00B.S"
;;<<Default Template>><<NETWORK>><<Default>>;;
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK MSG='Read user defined arrays'
FILEO PRINTO[1] = "{CATALOG_DIR}\outputs\myPathDist.dat"
FILEI LINKI[1] = "{CATALOG_DIR}\inputs\cubeNetwork.net"

ARRAY myNode=5           ;define array

PROCESS  PHASE=LINKMERGE  
READ FILE = "{CATALOG_DIR}\INPUTS\MYPATHNODE.TXT"      ;read user defined array

LOOP _k=1,4    
     myA=myNode[_k]
     myB=myNode[_k+1]
     IF(LI.1.A=myA & LI.1.B=myB)
        PRINT LIST = myA(10), myB(10), LI.1.Distance(10) PRINTO=1     
     ENDIF
ENDLOOP

ENDPROCESS



ENDRUN

